/*****************************************************************************
 *
 * Copyright (C) 2002 Polytechnic University of Valencia.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Authors: Carlos Calafate, <calafate@disca.upv.es>
 *
 *****************************************************************************/

#ifndef _PICAspec_H
#define _PICAspec_H

//#include <afxsock.h>		// MFC socket extensions
#include <winsock.h>
#include <Winbase.h>
#include <string.h>

#define PICA_WINDOWS_CE
#define PICA_VERSION 0x010000  //version 1.0.0
#define PICA_ERR_BUF_SIZE 100


int PICAstartup(void);
int PICAcleanup(void);
int PICAgetLastError(char * err, int * code);
//int PICAloadDriver(void);
//int PICAunloadDriver(void);
void P_ERROR(char * message, int code);


#endif